export default ()=>{
  const baseCom = require.context('./',true,/\.vue$/);
  const def = [];
  baseCom.keys().forEach((key)=>{
    const reg = /\/(\w+)\.vue$/.exec(key);
    const comDefault = baseCom(key).default;
    if(reg && reg[1]){
      def.push({
        comName:reg[1],
        comDefault
      })
    }
  })
  return def
}